      '        Castle of Doom
      '      Adventure for EAMON-PC
      '        for IBM-PC and
      '         compatibles
      '
     DEFINT A-Z
     DECLARE SUB prtcenter (A$)
     KEY OFF
REM $$INCL:'\EAMON\copy\colorrtn.bas'
     ON ERROR GOTO NoColors
     OPEN "EAMCOLOR" FOR INPUT AS #1
     INPUT #1, fgc%
     INPUT #1, bgc%
     INPUT #1, hfg%
     INPUT #1, hbg%
     CLOSE
In.BW:
     ON ERROR GOTO 0
     COLOR fgc%, bgc%
     GOTO Colorset
NoColors:
      fgc% = 7
      bgc% = 0
      hfg% = 0
      hbg% = 7
      RESUME In.BW
Colorset:

    '------- (end of include file) -------    
 ' 
     CLS
     COLOR hfg%, hbg%
     prtcenter "Welcome to the Castle of Doom!"
     COLOR fgc%, bgc%
     PRINT
     PRINT
     PRINT "The castle is run by two kindly old ladies who want to give valiant"
     PRINT "adventurers a little bit of excitement."
     PRINT
     PRINT "You will be travelling in a round castle just chock-full of evil"
     PRINT "monsters and wonderful treasure. A special treat for you in this"
     PRINT "dungeon -- the owners will keep things as they are if you choose"
     PRINT "return to the main hall to heal up for a while! (Assuming, of"
     PRINT "course, you can make it out!"
     PRINT
     GOSUB PAGE.BREAK
     RUN "MAINPGM"
PAGE.BREAK:
     LOCATE 24, 1
     PRINT "==================== Press Any Key to Continue ====================";
     A$ = ""
     WHILE A$ = ""
       A$ = INKEY$
     WEND
     CLS
     RETURN

DEFSNG A-Z
SUB prtcenter (A$)
     L = LEN(A$)
     PRINT SPC((78 - L) \ 2); A$; SPC((78 - L) \ 2);
END SUB

